org.opencv.core

## Class MatOfRotatedRect

- java.lang.Object
- - org.opencv.core.Mat
  - - org.opencv.core.MatOfRotatedRect

-     public class MatOfRotatedRect
      extends Mat

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Mat

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MatOfRotatedRect()`
    `protected` | `MatOfRotatedRect(long addr)`
    `` | `MatOfRotatedRect(Mat m)`
    `` | `MatOfRotatedRect(RotatedRect... a)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `alloc(int elemNumber)`
    `void` | `fromArray(RotatedRect... a)`
    `void` | `fromList(List<RotatedRect> lr)`
    `static MatOfRotatedRect` | `fromNativeAddr(long addr)`
    `RotatedRect[]` | `toArray()`
    `List<RotatedRect>` | `toList()`

    - ### Methods inherited from class org.opencv.core.Mat

      `adjustROI, assignTo, assignTo, channels, checkVector, checkVector, checkVector, clone, col, colRange, colRange, cols, convertTo, convertTo, convertTo, copySize, copyTo, copyTo, create, create, create, cross, dataAddr, depth, diag, diag, diag, dims, dot, dump, elemSize, elemSize1, empty, eye, eye, finalize, get, get, get, get, get, get, get, get, get, get, get, get, getNativeObjAddr, height, inv, inv, isContinuous, isSubmatrix, locateROI, mul, mul, ones, ones, ones, push_back, put, put, put, put, put, put, put, put, put, put, put, put, release, reshape, reshape, reshape, row, rowRange, rowRange, rows, setTo, setTo, setTo, setTo, size, size, step1, step1, submat, submat, submat, submat, t, toString, total, type, width, zeros, zeros, zeros`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MatOfRotatedRect

          public MatOfRotatedRect()

    - #### MatOfRotatedRect

          protected MatOfRotatedRect(long addr)

    - #### MatOfRotatedRect

          public MatOfRotatedRect(Mat m)

    - #### MatOfRotatedRect

          public MatOfRotatedRect(RotatedRect... a)

  - ### Method Detail

    - #### fromNativeAddr

          public static MatOfRotatedRect fromNativeAddr(long addr)

    - #### alloc

          public void alloc(int elemNumber)

    - #### fromArray

          public void fromArray(RotatedRect... a)

    - #### toArray

          public RotatedRect[] toArray()

    - #### fromList

          public void fromList(List<RotatedRect> lr)

    - #### toList

          public List<RotatedRect> toList()

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7